Merge #12946: depends: Fix Qt build with XCode 9.3

Merge #12946: depends: Fix Qt build with XCode 9.3

5b4fc3e depends: Fix Qt build with XCode 9.3 (fanquake)

Pull request description:

  Building Qt with Xcode 9.3 is currently broken with:
  ```
  compiling kernel/qmacgesturerecognizer.cpp
  fontdatabases/mac/qfontengine_coretext.mm:775:20: error: qualified reference to 'QFixed' is a constructor name rather than a type in this context
      return QFixed::QFixed(int(CTFontGetUnitsPerEm(ctfont)));
                     ^
  compiling .moc/moc_qfbscreen_p.cpp
  1 error generated.
  make[2]: *** [.obj/qfontengine_coretext.o] Error 1
  make[2]: *** Waiting for unfinished jobs....

  ```
  This patch should fix that, and will hopefully be the last time we have to patch Qt 5.7.

  I've only made minor adjustments from the [original patch](https://codereview.qt-project.org/#/c/224900/), so that it will apply, although still not completely cleanly. We can cleanup if required.

Tree-SHA512: ad9e682081b9d2b0ccd4ea8e167ba15f1a903e39185a0cbfaa6608f1a45fcfb019e8726148fb301d65ddadaa23122825ccd6fdfc8de78767b653d5d1e47205da

情報元 - Merge #12946: depends: Fix Qt build with XCode 9.3 · bitcoin/[email protected] · GitHub

Merge #12946: depends: Fix Qt build with XCode 9.3 · bitcoin/bitcoin@e76acf3 · GitHub
スポンサーリンク

シェアする

フォローする

スポンサーリンク

トップへ戻る